Page MenuHomePhabricator

Decide on initial set of questions for user testing
Closed, ResolvedPublic190 Estimate Story Points

Description

After the clear=all formatting is added to the question scripts' generation so that headings appear below instead of to the left of iframes.

Recommend 400 initial questions, 100 from each of four question creation scripts?

Event Timeline

Jsalsman created this task.Aug 2 2016, 6:49 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 2 2016, 6:49 AM
Jsalsman added a subscriber: FaFlo.Aug 2 2016, 7:03 AM

Are there four question generation scripts? (1) keyword (recently) by age,
(2) template/category context by age, (3) diffs by usernames (i.e. student
editor username lists), and (4) median F-K readability standard score plus
pageview standard score? Can we generate 100 of each and use those 400
instead of the old questions with the bad formatting (headers to the left
of instead of below iframes)?

cc @FaFlo

Jsalsman set the point value for this task to 190.EditedAug 5 2016, 5:55 PM

This is done, and I added the one part that isn't into a different task.

(1) keyword (e.g. "recently" or anything else other people want to try) will use the Wikiwho age of the keyword. Use 100 of these per set.

(2) backlog category-including templates will use the Wikiwho ages of the template and the words following (section or article header template such as {{globalize}}) or the words preceding (e.g. {{citation needed}}) Use 200 of these per set.

(3) diffs by usernames - student edits: T141899 Use 100 of these per set.

(4) Median F-K readability: just use the top 20% articles by pageviews and the mean F-K readability instead of the median. Use 100 of these per set.

Make two sets of 500 questions, one for Tool Labs and one for PythonAnywhere.

@prnk28, please close this after you have read and understand the above.

There are now 5 different types of questions:

  1. Neutral Point of View (NPOV) - Backlog category with section tags - code
  2. Article needing updating - Backlog category with section and inline tags - code
  3. Articles containing the word 'recently' - code
  4. Articles needing copy-edit - Ranked on the basis of Flesch-Kincaid readability score and pageviews - code
  5. Student edits - ranked on the basis of edit size and pageviews - code

A sample of question types can be viewed here.
For user testing, there will be 100 high-ranking questions from each category. There will be two different sets of 500 questions running on ToolLabs and PythonAnywhere.

prnk28 closed this task as Resolved.Aug 14 2016, 8:16 PM